Subject: bug#48064: texlive-* packages fail to build non-deterministically

From: Ludovic Courtès <[email-masked]>
Date: Wed, 30 Jun 2021 12:05:03 +0200

Hi Thiago,

Thiago Jung Bauermann <[email-masked]> skribis:

> I was able to do a build of texlive-amscls with `export MALLOC_CHECK_=2`, 
> and a core dump was generated. I managed to get a guix environment with 
> debuginfo for texlive-bin, but for some reason it still doesn’t have 
> debug info for glibc available. FYI, this was the command line I used:
>
> $ guix environment texlive-amscls --with-debug-info=texlive-bin \
> 	--ad-hoc valgrind gdb glibc:debug

FWIW I managed to get a Valgrind report for TeX Live on core-updates,
using ‘--extra-debuginfo-path’ to help it a bit:

  https://issues.guix.gnu.org/48064#6

Not that it helps a whole lot yet!

Ludo’.